#!/bin/env python3

UAFILE = "useragent"

from selenium import webdriver

options = webdriver.ChromeOptions()
# We're interested in the default useragent, so don't set it here.

options.add_argument("--no-sandbox")
options.add_argument("--disable-gpu")
options.add_argument("--disable-dev-shm-usage")
# options.add_argument("user-agent=Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/133.0.0.0 Safari/537.36")
options.add_argument("window-size=1280x1024")

# Ok!  Everything looks good here.  Now to add headless argument option.
options.add_argument("--headless=new")
# Headless changes UserAgent from Chrome to HeadlessChrome.

driver = webdriver.Remote(command_executor="http://127.0.0.1:9515", options=options)

ua = driver.execute_script("return navigator.userAgent;")

driver.quit()

print(f"Selenium Google UserAgent={ua}")

ua = ua.replace("HeadlessChrome", "Chrome")
with open(UAFILE, "wt") as fp:
    print(f"{ua}", file=fp)

# Create python module to get useragent from.
# from useragent import USERAGENT

with open("useragent.py", "wt") as fp:
    print(f'USERAGENT = "{ua}"', file=fp)

# (venv) thor@mount-olympus:~/dev/docker/selenium-chromedriver$ ./show-version.py
# Selenium Google UserAgent=Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/134.0.0.0 Safari/537.36
# (venv) thor@mount-olympus:~/dev/docker/selenium-chromedriver$ ./show-version.py
# Selenium Google UserAgent=Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) HeadlessChrome/134.0.0.0 Safari/537.36
